/// <reference types="fela" />
export function createThemeRenderer(options?: {
    enableAtomicCss?: boolean | undefined;
    enableCssVariables?: boolean | undefined;
    namespace?: string | undefined;
    responsiveBreakpoints?: string[] | undefined;
    responsiveCssProperties?: string[] | undefined;
    themeSpec?: import("./types.js").ThemeSpec | undefined;
    theme?: import("./types.js").Theme | undefined;
} | undefined): {
    load: () => void;
    renderGlobalStyles: (initialGlobalStyles: StyleObject) => void;
    renderStyle: <P>(style: StyleObject, styleProps?: P | undefined) => string;
    unload: () => void;
    _subscribe: (event: (msg: import("fela").ISubscribeRuleOrStaticObjectMessage | import("fela").ISubscribeKeyframesMessage | import("fela").ISubscribeFontFaceMessage | import("fela").ISubscribeStaticStringMessage | import("fela").ISubscribeClearMessage) => void) => {
        unsubscribe: () => void;
    };
};
export type StyleObject = import('./types.js').StyleObject;
export type StyleRule = import('./types.js').StyleRule;
export type Theme = import('./types.js').Theme;
export type ThemeSpec = import('./types.js').ThemeSpec;
export type _FelaEnhancer = import('./types.js')._FelaEnhancer;
