export function themeValue({ cssVariables, namespace, themeSpec }: {
    cssVariables?: import("../types.js").CssVariables | undefined;
    namespace?: string | undefined;
    themeSpec: ThemeSpec;
}): _FelaPlugin;
export type CssValue = import('../types.js').CssValue;
export type CssVariables = import('../types.js').CssVariables;
export type StyleObject = import('../types.js').StyleObject;
export type Theme = import('../types.js').Theme;
export type ThemeProperty = import('../types.js').ThemeProperty;
export type ThemeSpec = import('../types.js').ThemeSpec;
export type _FelaPlugin = import('../types.js')._FelaPlugin;
/**
 * A map storing the themeProperty and resolve method.
 */
export type ThemePropertyResolver = {
    /**
     *    Resolves CSS value given a theme.
     */
    resolve: (theme: Theme) => CssValue;
    /**
     *    A theme property.
     */
    themeProperty: ThemeProperty;
};
/**
 * ;
 */
export type ThemeMapping = Partial<Record<string, ThemePropertyResolver>>;
